package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 指标分类对象 metrics_type
 *
 * @author jjt
 * @date 2024-08-08
 */
@ApiModel(value = "MetricsType", description = "指标分类")
public class MetricsType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 指标分类ID */
    @ApiModelProperty("指标分类ID")
    @TableId
    private Long typeId;

    /** 指标分类编码 */
    @ApiModelProperty("指标分类编码")
    @Excel(name = "指标分类编码")
    private String typeCode;

    /** 指标分类名称 */
    @ApiModelProperty("指标分类名称")
    @Excel(name = "指标分类名称")
    private String typeName;

    public void setTypeId(Long typeId)
    {
        this.typeId = typeId;
    }

    public Long getTypeId()
    {
        return typeId;
    }
    public void setTypeCode(String typeCode)
    {
        this.typeCode = typeCode;
    }

    public String getTypeCode()
    {
        return typeCode;
    }
    public void setTypeName(String typeName)
    {
        this.typeName = typeName;
    }

    public String getTypeName()
    {
        return typeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("typeId", getTypeId())
            .append("typeCode", getTypeCode())
            .append("typeName", getTypeName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
